import { defineComponent as u, computed as o, resolveComponent as d, createElementBlock as r, openBlock as a, renderSlot as f, createVNode as g, withCtx as _, createCommentVNode as y, createElementVNode as l, toDisplayString as n } from "vue";
import { u as h } from "./vue-i18n-DG0DIzwC.js";
const v = { class: "flex flex-col h-full" }, D = ["src"], T = { class: "fm-typo-en-body-lg-600 text-fm-color-typo-primary" }, b = { class: "fm-typo-en-body-sm-400 text-fm-color-typo-secondary text-center" }, F = /* @__PURE__ */ u({
  __name: "NoData",
  props: {
    title: { default: "report.messages.noData" },
    subTitle: { default: "report.messages.adjustFiltersOrSelectADifferentTimeRange" },
    svgPath: { default: "" }
  },
  setup(i) {
    const { t: s } = h(), e = i, c = o(() => e.title === "report.messages.noData" ? s("report.messages.noData") : e.title), m = o(() => e.subTitle === "report.messages.adjustFiltersOrSelectADifferentTimeRange" ? s("report.messages.adjustFiltersOrSelectADifferentTimeRange") : e.subTitle);
    return (t, x) => {
      const p = d("FmCard");
      return a(), r("div", v, [
        f(t.$slots, "menu"),
        g(p, {
          class: "p-24 h-full flex flex-col gap-2 items-center justify-center",
          variant: "flat"
        }, {
          default: _(() => [
            t.svgPath ? (a(), r("img", {
              key: 0,
              src: t.svgPath,
              alt: "No data illustration",
              class: "mb-4 w-80 h-80"
            }, null, 8, D)) : y("", !0),
            l("p", T, n(c.value), 1),
            l("p", b, n(m.value), 1)
          ]),
          _: 1
        })
      ]);
    };
  }
});
export {
  F as _
};
